*	GAMS Scenario Interface Subprogram -- table.gms
*	Thomas F. Rutherford
*	December, 2000

*	Define the scenario list (define this first so that we order columns
*	appropriately).

set sc /
$if exist output\%sc1%.sol %sc1%
$if exist output\%sc2%.sol %sc2%
$if exist output\%sc3%.sol %sc3%
$if exist output\%sc4%.sol %sc4%
$if exist output\%sc5%.sol %sc5%
$if exist output\%sc6%.sol %sc6%
$if exist output\%sc7%.sol %sc7%
$if exist output\%sc8%.sol %sc8%
/;

*	Blank invocation permit set declarations:

$batinclude output\%sc1%.sol 

*	Read the data:

$onempty
parameter data(*,*) /
$if exist output\%sc1%.sol $batinclude output\%sc1%.sol %item%
$if exist output\%sc2%.sol $batinclude output\%sc2%.sol %item%
$if exist output\%sc3%.sol $batinclude output\%sc3%.sol %item%
$if exist output\%sc4%.sol $batinclude output\%sc4%.sol %item%
$if exist output\%sc5%.sol $batinclude output\%sc5%.sol %item%
$if exist output\%sc6%.sol $batinclude output\%sc6%.sol %item%
$if exist output\%sc7%.sol $batinclude output\%sc7%.sol %item%
$if exist output\%sc8%.sol $batinclude output\%sc8%.sol %item%
/;

*	Declare the parameter:

parameter %item%(*,*)  "%title%"; 

alias (u,uu,uuu,*);

*		Transpose the data to the proper label:

%item%(u,sc) = data(sc,u);

*		Generate an Excel file with the figure data:

$if not setglobal xls $setglobal xls=no
$if setglobal multiplot $setglobal xls=no
$if %xls%==yes $libinclude xlwrite %item% output\%item%.xls

$if not setglobal decimals $setglobal decimals 2

file kcon /con/; put kcon; kcon.nd = %decimals%;
$libinclude gams2tbl %item%

*	Write the table both to the common table file and also to it's 
*	own file:

file ktxt /output\tables.txt/; ktxt.ap=1; put ktxt; ktxt.nd = %decimals%;
put "* %system.date% %system.time%"/;
put '%item%  "%title%"'/;
$if exist output\%sc1%.sol put '%sc1%'/;
$if exist output\%sc2%.sol put '%sc2%'/;
$if exist output\%sc3%.sol put '%sc3%'/;
$if exist output\%sc4%.sol put '%sc4%'/;
$if exist output\%sc5%.sol put '%sc5%'/;
$if exist output\%sc6%.sol put '%sc6%'/;
$if exist output\%sc7%.sol put '%sc7%'/;
$if exist output\%sc8%.sol put '%sc8%'/;
put //;
$libinclude gams2tbl %item%

file ktable /output\%ident%.txt/; put ktable; ktable.nd = %decimals%;
put "* %system.date% %system.time%"/;
put '%item%  "%title%"'/;
$if exist output\%sc1%.sol put '%sc1%'/;
$if exist output\%sc2%.sol put '%sc2%'/;
$if exist output\%sc3%.sol put '%sc3%'/;
$if exist output\%sc4%.sol put '%sc4%'/;
$if exist output\%sc5%.sol put '%sc5%'/;
$if exist output\%sc6%.sol put '%sc6%'/;
$if exist output\%sc7%.sol put '%sc7%'/;
$if exist output\%sc8%.sol put '%sc8%'/;
put //;
$libinclude gams2tbl %item%

