@echo off

:	Generate all scenarios, figures and tables for the paper 

:	Scenarios ref, esubi2, esubdm2, etadx2, ccs95 gams gamma20 are the same.

call solve ref
call solve bopcon	CAPFLOW=NO 
call solve crts		CRTS=YES  

call solve esubi1 ESUBI=1 
call solve esubi2 ESUBI=2 
call solve esubi4 ESUBI=4

call solve esubdm1 ESUBDM=1 
call solve esubdm2 ESUBDM=2 
call solve esubdm4 ESUBDM=4

call solve etadx1  ETADX=1
call solve etadx2  ETADX=2
call solve etadx4  ETADX=4

call solve sbd120 ccs=1.20  tmcs=-0.208 
call solve sbd95  ccs=0.95  tmcs=-0.208 

call solve ccs95 ccs=0.95
call solve ccs99 ccs=0.99
call solve ccs90 ccs=0.90

call solve gamma0  gamma=0
call solve gamma20 gamma=0.20
call solve gamma40 gamma=0.40



call figure fig1 consult	ccs90 ccs95 gamma0
call figure fig2 firmentry	ccs90 ccs95 gamma0
call figure fig3 consum.ref pcapital.ref hcapital.ref kcapital.ref
call figure fig4 curracct	ccs90 ccs95 gamma0
call figure fig5 consult	ref bopcon crts esubi4
call figure fig6 firmentry	ccs95 sbd95 sbd120 
call figure fig7 rent		ccs95 sbd95 sbd120 
call figure fig8 hreturn	ccs95 sbd95 sbd120 
call figure fig9 consum		ccs95 sbd95 sbd120 

call table table1  report ccs95 ccs90 gamma0 crts bopcon
call table table2a report esubdm1 esubdm2 esubdm4
call table table2b report etadx1 etadx2 etadx4
call table table2c report esubi1 esubi2 esubi4
call table table3 report ccs95 sbd120 sbd95

:end
